HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.GetProductsSearch

Contains the different functions to run the operation getProductsSearch

  • 3 types
  • 3 values
  • Packagestripeapi-3.0.0.0
  • Exports6
  • LanguageHaskell2010
  • LicenceMIT
  • SourceGetProductsSearch.hs
valuegetProductsSearch
  1. :: MonadHTTP m
  2. => GetProductsSearchParameters

    Contains all available parameters of this operation (query and path parameters)

  3. -> ClientT m (Response GetProductsSearchResponse)

    Monadic computation which returns the result of the operation

#
GET /v1/products/search

<p>Search for products you’ve previously created using Stripe’s <a href="/docs/search#search-query-language">Search Query Language</a>. Don’t use search in read-after-write flows where strict consistency is necessary. Under normal operating conditions, data is searchable in less than a minute. Occasionally, propagation of new or updated data can be up to an hour behind during outages. Search functionality is not available to merchants in India.</p>

Defines the object schema located at paths./v1/products/search.GET.parameters in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation getProductsSearch.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), GetProductsSearchResponseError is used.

Constructors

Instances2Eq, Show

Defines the object schema located at paths./v1/products/search.GET.responses.200.content.application/json.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON